[arch-commits] Commit in liquidwar/repos (3 files)

Eric Bélanger eric at archlinux.org
Sat Oct 3 00:32:45 EDT 2009


    Date: Saturday, October 3, 2009 @ 00:32:45
  Author: eric
Revision: 53615

fixed svn conflict

Added:
  liquidwar/repos/extra-x86_64/liquidwar.install
    (from rev 53614, liquidwar/trunk/liquidwar.install)
Modified:
  liquidwar/repos/extra-x86_64/	(properties)
  liquidwar/repos/extra-x86_64/PKGBUILD

-------------------+
 PKGBUILD          |   32 +++++++++++++++-----------------
 liquidwar.install |   16 ++++++++++++++++
 2 files changed, 31 insertions(+), 17 deletions(-)


Property changes on: liquidwar/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /liquidwar/trunk:1
   + /liquidwar/trunk:1-53614

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-10-03 04:31:21 UTC (rev 53614)
+++ extra-x86_64/PKGBUILD	2009-10-03 04:32:45 UTC (rev 53615)
@@ -5,26 +5,24 @@
 
 pkgname=liquidwar
 pkgver=5.6.4
-pkgrel=1
-pkgdesc="Liquid War is a unique multiplayer wargame."
-arch=(i686 x86_64)
+pkgrel=2
+pkgdesc="A unique multiplayer wargame"
+arch=('i686' 'x86_64')
+url="http://www.ufoot.org/liquidwar/"
+license=('GPL')
 depends=('allegro')
-options=('!makeflags')
+makedepends=('python')
+install=liquidwar.install
 source=(http://www.ufoot.org/download/$pkgname/v5/$pkgver/$pkgname-$pkgver.tar.gz)
 md5sums=('6917dd1026e6685404ffbd086f8ba374')
-url="http://www.ufoot.org/liquidwar/"
-license=(GPL)
+sha1sums=('a3006c4da9517c3af3b7bf165b2c86fa369a71c6')
 
-build()
-{
-  cd $startdir/src/$pkgname-$pkgver
-  [ "${CARCH}" = "x86_64" ] && EXTRAOPTS=--disable-asm
-  ./configure --prefix=/usr --disable-doc-txt --disable-doc-html \
-    --disable-doc-info --disable-doc-ps --disable-doc-pdf --disable-doc-php3 $EXTRAOPTS
+build() {
+  cd "$srcdir/$pkgname-$pkgver"
+  [ "$CARCH" == "x86_64" ] && EXTRAOPTS="--disable-asm"
+   ./configure --prefix=/usr --disable-doc-ps --disable-doc-pdf --disable-doc-php3 $EXTRAOPTS || return 1
   make GAMEDIR=/usr/bin DATADIR=/usr/share/$pkgname || return 1
-  make DESTDIR=$startdir/pkg DATADIR=/usr/share/$pkgname install
-  rm ${startdir}/pkg/usr/bin/*
-  cp ${startdir}/pkg/usr/games/* ${startdir}/pkg/usr/bin/
-  rm -r ${startdir}/pkg/usr/games
+  make DESTDIR="$pkgdir" DATADIR=/usr/share/$pkgname install || return 1
+  mv "$pkgdir"/usr/games/* "$pkgdir/usr/bin/"
+  rmdir "${pkgdir}/usr/games"
 }
-sha1sums=('a3006c4da9517c3af3b7bf165b2c86fa369a71c6')

Copied: liquidwar/repos/extra-x86_64/liquidwar.install (from rev 53614, liquidwar/trunk/liquidwar.install)
===================================================================
--- extra-x86_64/liquidwar.install	                        (rev 0)
+++ extra-x86_64/liquidwar.install	2009-10-03 04:32:45 UTC (rev 53615)
@@ -0,0 +1,16 @@
+infodir=/usr/share/info
+file=(liquidwar.info.gz)
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  install-info $infodir/$file $infodir/dir 2> /dev/null
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  install-info --delete $infodir/$file $infodir/dir 2> /dev/null
+}



More information about the arch-commits mailing list